<?php

class Trainingssystem_Plugin_Database_Calendar_Entry {
    private $id;
    private $calendarId;
    private $entryDate;
    private $userId;
    private $formId;
    private $formFieldId;
    private $formDataId;
    private $createdAt;
    private $updatedAt;

    public function __construct($id, $calendarId, $entryDate, $userId, $formId, $formFieldId, $formDataId, $createdAt, $updatedAt)
    {
        $this->id = (int)$id;
        $this->calendarId = (int)$calendarId;
        $this->entryDate = $entryDate;
        $this->userId = (int)$userId;
        $this->formId = is_null($formId) ? null : (int)$formId;
        $this->formFieldId = (int)$formFieldId;
        $this->formDataId = is_null($formDataId) ? null : (int)$formDataId;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }

    public function getId(){ return $this->id; }
    public function getCalendarId(){ return $this->calendarId; }
    public function getEntryDate(){ return $this->entryDate; }
    
    public function getUserId(){ return $this->userId; }
    public function getFormId(){ return $this->formId; }
    public function getFormFieldId(){ return $this->formFieldId; }
    public function getFormDataId(){ return $this->formDataId; }
    public function getCreatedAt(){ return $this->createdAt; }
    public function getUpdatedAt(){ return $this->updatedAt; }
}


